Qwt User's Guide 6.1.3

- Main Page
- Classes

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | List of all members
QwtNullTransform Class Reference

Null transformation. More...

`#include <qwt_transform.h>`

Inheritance diagram for QwtNullTransform:
[legend]

## Public Member Functions
| QwtNullTransform ()
| Constructor.
virtual | ~QwtNullTransform ()
| Destructor.
virtual double | transform (double value) const
virtual double | invTransform (double value) const
virtual QwtTransform * | copy () const
Public Member Functions inherited from QwtTransform
| QwtTransform ()
| Constructor.
virtual | ~QwtTransform ()
| Destructor.
virtual double | bounded (double value) const

## Detailed Description

Null transformation.

QwtNullTransform returns the values unmodified.

## Member Function Documentation

QwtTransform * QwtNullTransform::copy | ( |  | ) | const
| virtual

Returns
  Clone of the transformation

Implements QwtTransform.

double QwtNullTransform::invTransform | ( | double | value | ) | const
| virtual

Parameters

  value | Value to be transformed

Returns
  value unmodified

Implements QwtTransform.

double QwtNullTransform::transform | ( | double | value | ) | const
| virtual

Parameters

  value | Value to be transformed

Returns
  value unmodified

Implements QwtTransform.